%define module_name qc-usb-messenger
%define version 1.7

Name:		dkms-%{module_name}
Version:	%version
Release:	%mkrel 6
Summary:	DKMS-ready driver for the Quickcam USB Messenger
License:	GPL
Source:		http://home.mag.cx/messenger/source/%{module_name}-%{version}.tar.bz2
Patch0:   kernel-2.6.24.patch
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes:	%{module_name}-dkms
Provides:	%{module_name}-dkms

%description
This package contains a DKMS-ready driver for the Logitech Quickcam USB
Messenger.


%prep
%setup -q -c -n %{module_name}-%{version}
pushd %{module_name}-%{version}
%patch0 -p1 -b .2624
popd
# Ha
chmod -R go=u-w .


%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/
cp -rf * %{buildroot}/usr/src/%{module_name}-%{version}
cat > %{buildroot}/usr/src/%{module_name}-%{version}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"
#MAKE[0]="make quickcam.ko"
CLEAN="make clean"
BUILT_MODULE_NAME[0]="quickcam"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/qc-usb-messenger/"
DEST_MODULE_NAME[0]="qc-usb-messenger"
AUTOINSTALL=yes
EOF

%post
  dkms add -m %{module_name} -v %{version} --rpm_safe_upgrade
  dkms build -m %{module_name} -v %{version} --rpm_safe_upgrade
  dkms install -m %{module_name} -v %{version} --rpm_safe_upgrade

%preun
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/src/%{module_name}-%{version}



%changelog
* Mon Nov 16 2009 Jerome Martin <jmartin@mandriva.org> 1.7-6mdv2010.1
+ Revision: 466493
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.7-5mdv2009.1
+ Revision: 350653
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7-4mdv2009.0
+ Revision: 244351
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Colin Guthrie <cguthrie@mandriva.org> 1.7-2mdv2008.1
+ Revision: 116340
- Add patch for 2.6.24 support.
- Remove old source

* Sun Oct 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.7-1mdv2008.1
+ Revision: 98201
- New release 1.7

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.3-2mdv2008.0
+ Revision: 94470
- update to new version


* Tue Aug 01 2006 Jerome Soyer <saispo@mandriva.org> 1.3-1mdv2007.0
- New release 1.3

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 1.2-1mdk
- First version and my first dkms
- Thks blino and pterjan for their help

